@import "../../../../../styles/global/var";

wizard-testng-configuration {
    display: block;
}

.wizard-testng-configuration {
    padding-top: 40px;

    &__step {
        & + & {
            margin-top: 116px;
        }
    }
    &__section {
        margin: 0 -16px 32px;

        &._flex {
            display: flex;

            &._centered {
                align-items: center;
            }
        }
        &-title {
            margin: 0;
            font-weight: 700;
            font-size: 18px;
            line-height: 32px;
        }
        &-subtitle {
            font-weight: 700;
            font-size: 16px;
            line-height: 24px;
            margin: 0 0 16px;
        }
        &-content {
            margin: 0 16px;

            &._left {
                flex: 1 1 40%;
            }
            &._right {
                flex: 1 1 60%;
            }
        }
    }
    &__code {
        &-wrapper {
            border-radius: 4px;
            overflow: hidden;
            background-color: $gray939;
        }
        &-wrapper & {
            &-btn {
                opacity: 0;
                visibility: hidden;
                pointer-events: none;
                transition: opacity .25s ease-in-out, visibility .25s ease-in-out;
            }
        }
        &-wrapper:hover & {
            &-btn {
                opacity: 1;
                visibility: visible;
                pointer-events: auto;
            }
        }
        &-header {
            color: $gray8be;
            font-size: 14px;
            line-height: 24px;
            position: relative;
        }
        &-title {
            display: inline-block;
            padding: 8px 24px;
            box-shadow: inset 0px -2px 0.0011px $gray8be;
        }
        &-editor {
            min-height: 186px;

            &._big {
                min-height: 348px;
            }

            &.ace_editor {
                .ace_marker-layer .ace_active-line {
                    background: $blue-dark;
                }
                .ace_gutter {
                    background: $gray939;
                    color: $gray8be;
                }
            }
        }
        &-btn.md-button.md-icon-button:not(._default-md-style) {
            position: absolute;
            top: 100%;
            right: 16px;
            margin: 16px 0 0;
            color: $gray8be;
            z-index: 2;

            &:not([disabled]):hover {
                color: $gray3e5;
                background-color: $gray939;

                .material-icons {
                    color: currentColor;
                }
            }

            .material-icons {
                color: currentColor;
                font-size: 24px;
                height: 24px;
                min-height: 24px;
                width: 24px;
                min-width: 24px;
                max-width: 24px;
            }
        }
    }
    strong {
        color: $blue-dark;
    }
    md-radio-group {
        display: flex;
        align-items: center;

        md-radio-button {
            margin: 0 40px 0 0;
            font-weight: normal;
            font-size: 14px;
            line-height: 24px;
            color: $black;

            .md-label:first-letter {
                text-transform: uppercase;
            }
            &.md-checked .md-off {
                border-color: $black;
            }
            .md-on {
                background-color: $black;
                border-color: $black;
            }
        }
    }
}
